Bug 59561 - Openldap 21 does not give me the differen sasl mechs.
Openldap 21 does not give me the differen sasl mechs.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-10 08:53 EST by Need Real Name
Modified: 2014-08-31 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-10 08:53:34 EST
Description of Problem:
When I do ldapsearch -x -Z  -L  -s "base" -b "" supportedSASLMechanisms
withver 2.0.21 of openldap, I get an empty list of sasl mechs.
when downgrading to 2.0.14 the problem goes away.


Version-Release number of selected component (if applicable):
2.0.14
How Reproducible:
Very,

Steps to Reproduce:
Se above.
Actual Results:


Expected Results:


Additional Information:
Comment 1 Dean K. Gibson 2002-07-03 02:40:42 EDT
This is apparently the result of RH starting slapd as user "ldap", and thus the 
sasl libraries won't provide access to the (root-owned) sasldb.  Try removing "-
u ldap" from /etc/init.d/ldap;  that fixed it for me.
Comment 2 Bill Nottingham 2006-08-07 13:17:44 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:21:23 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.